services:
    _defaults:
        autowire: true      # injection automatique des dépendances
        autoconfigure: true # tags automatiques (dont controllers)

    # Enregistre toutes tes classes comme services (sauf exclusions)
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'

    # (Optionnel mais explicite) Tague les contrôleurs
    App\Controller\:
        resource: '../src/Controller/'
        tags: ['controller.service_arguments']

